Bug 124157 - Repocopy request: print/ghostscript-*
Repocopy request: print/ghostscript-*
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 09:50 UTC by Hiroki Sato
Modified: 2008-10-05 13:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Sato freebsd_committer 2008-05-31 09:50:04 UTC
	Since Ghostscript is now GPL'd and the other variants are no
	longer maintained, the current package names corresponding to
	them can make the users confused.  So, I think we need to
	change the port/package names to more straightforward ones.
	Specifically, my suggestion is the following:

	print/ghostscript-gnu -> print/ghostscript7
	print/ghostscript-gnu-nox11 -> print/ghostscript7-nox11
	print/ghostscript-gnu-commfont -> print/ghostscript7-commfont
	print/ghostscript-gpl -> print/ghostscript8
	print/ghostscript-gpl-nox11 -> print/ghostscript8-nox11
	japanese/ghostscript-gnu-jpnfont -> print/ghostscript7-jpnfont
	korean/ghostscript-gnu-korfont -> print/ghostscript7-korfont

	Portmgr, please handle the above repo-copy.  I will handle the
	remaining changes such as dependency fix.

	The reason why the last two entries should be in print
	category instead of {japanese,korean} category is that
	Ghostscript itself is not language-dependent.

Fix: 

N/A
How-To-Repeat: 	N/A
Comment 1 Hiroki Sato freebsd_committer 2008-05-31 09:54:06 UTC
State Changed
From-To: open->repocopy

Assign to portmgr. 


Comment 2 Hiroki Sato freebsd_committer 2008-05-31 09:54:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Assign to portmgr.
Comment 3 Joe Marcus Clarke freebsd_committer 2008-06-01 01:01:22 UTC
State Changed
From-To: repocopy->open

Repocopies complete. 


Comment 4 Joe Marcus Clarke freebsd_committer 2008-06-01 01:01:22 UTC
Responsible Changed
From-To: portmgr->hrs

Repocopies complete.
Comment 5 dfilter freebsd_committer 2008-06-01 09:51:57 UTC
hrs         2008-06-01 08:51:52 UTC

  FreeBSD ports repository

  Modified files:
    print/ghostscript7   Makefile pkg-descr 
    print/ghostscript7-commfont Makefile pkg-descr 
    print/ghostscript7-jpnfont Makefile pkg-descr 
    print/ghostscript7-korfont Makefile pkg-descr 
    print/ghostscript7-nox11 Makefile 
    print/ghostscript8   Makefile pkg-descr 
    print/ghostscript8-nox11 Makefile 
  Removed files:
    print/ghostscript7   Makefile.inc 
  Log:
  The following repocopies have been done for print/ghostscript-*
  reorganization:
  
          print/ghostscript-gnu -> print/ghostscript7
          print/ghostscript-gnu-nox11 -> print/ghostscript7-nox11
          print/ghostscript-gnu-commfont -> print/ghostscript7-commfont
          print/ghostscript-gpl -> print/ghostscript8
          print/ghostscript-gpl-nox11 -> print/ghostscript8-nox11
          japanese/ghostscript-gnu-jpnfont -> print/ghostscript7-jpnfont
          korean/ghostscript-gnu-korfont -> print/ghostscript7-korfont
  
  and clean up Makefile of each port for the changes, and assign the
  maintainers to doceng@.
  
  Not hooked up to the build yet because it needs more fixes in
  dependent ports and bsd.port.mk.
  
  PR:     ports/124157
  
  Revision  Changes    Path
  1.13      +6 -8      ports/print/ghostscript7-commfont/Makefile
  1.4       +1 -1      ports/print/ghostscript7-commfont/pkg-descr
  1.12      +7 -9      ports/print/ghostscript7-jpnfont/Makefile
  1.5       +1 -1      ports/print/ghostscript7-jpnfont/pkg-descr
  1.8       +7 -9      ports/print/ghostscript7-korfont/Makefile
  1.4       +1 -1      ports/print/ghostscript7-korfont/pkg-descr
  1.2       +1 -1      ports/print/ghostscript7-nox11/Makefile
  1.129     +42 -46    ports/print/ghostscript7/Makefile
  1.13      +0 -5      ports/print/ghostscript7/Makefile.inc (dead)
  1.17      +3 -3      ports/print/ghostscript7/pkg-descr
  1.3       +1 -1      ports/print/ghostscript8-nox11/Makefile
  1.168     +11 -8     ports/print/ghostscript8/Makefile
  1.21      +3 -3      ports/print/ghostscript8/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Hiroki Sato freebsd_committer 2008-10-05 13:50:49 UTC
State Changed
From-To: open->closed

repocopy and related changes have been done.